### Hierarchy

- AccountManagerImpl

### Implements

- AccountManager

## Index

### Constructors

- constructor

### Methods

- authenticationByAccessToken
- authenticationByPassPhrase
- checkAccount
- getAccount
- getNewMnemonic
- getPublicKeyFromMnemonic
- registration
- subscribeAccount
- unsubscribe

## Constructors

### constructor

- new AccountManagerImpl(auth: AccountRepository, keyPairCreator: KeyPairHelper, messageSigner: MessageSigner, authAccountBehavior: BehaviorSubject<Account>, loggerService?: Logger): AccountManagerImpl

- - Defined in manager/AccountManagerImpl.ts:19

  #### Parameters

  - ##### auth: AccountRepository

  - ##### keyPairCreator: KeyPairHelper

  - ##### messageSigner: MessageSigner

  - ##### authAccountBehavior: BehaviorSubject<Account>

  - ##### Optional loggerService: Logger

  #### Returns AccountManagerImpl

## Methods

### authenticationByAccessToken

- authenticationByAccessToken(accessToken: string, message: string): Promise<Account>

- Implementation of AccountManager.authenticationByAccessToken

  - Defined in manager/AccountManagerImpl.ts:83

  Checks if user with provided access token is already registered in the system.

  #### Parameters

  - ##### accessToken: string

    token for authenticate on remote signer (if KeyPairHelper support RemoteSigner)

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### authenticationByPassPhrase

- authenticationByPassPhrase(passPhrase: string, message: string): Promise<Account>

- Implementation of AccountManager.authenticationByPassPhrase

  - Defined in manager/AccountManagerImpl.ts:55

  Checks or Register user with provided mnemonic phrase is already registered in the system.

  #### Parameters

  - ##### passPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### checkAccount

- checkAccount(mnemonicPhrase: string, message: string): Promise<Account>

- Implementation of AccountManager.checkAccount

  - Defined in manager/AccountManagerImpl.ts:123

  Checks if user with provided mnemonic phrase is already registered in the system.

  #### Parameters

  - ##### mnemonicPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} if client exist or http exception if fail.

### getAccount

- getAccount(): Account

- Implementation of AccountManager.getAccount

  - Defined in manager/AccountManagerImpl.ts:147

  #### Returns Account

### getNewMnemonic

- getNewMnemonic(): Promise<string>

- Implementation of AccountManager.getNewMnemonic

  - Defined in manager/AccountManagerImpl.ts:143

  #### Returns Promise<string>

### getPublicKeyFromMnemonic

- getPublicKeyFromMnemonic(mnemonicPhrase: string): Promise<string>

- Implementation of AccountManager.getPublicKeyFromMnemonic

  - Defined in manager/AccountManagerImpl.ts:151

  #### Parameters

  - ##### mnemonicPhrase: string

  #### Returns Promise<string>

### registration

- registration(mnemonicPhrase: string, message: string): Promise<Account>

- Implementation of AccountManager.registration

  - Defined in manager/AccountManagerImpl.ts:106

  Registers a new user in the system.

  #### Parameters

  - ##### mnemonicPhrase: string

    Mnemonic phrase for Public/Private key pair generation for asymmetric encryption scheme.

  - ##### message: string

    on the basis of which a signature will be created to verify the public key

  #### Returns Promise<Account>

  {Account} after successful registration or http exception if fail.

### subscribeAccount

- subscribeAccount(): Observable<Account>

- Implementation of AccountManager.subscribeAccount

  - Defined in manager/AccountManagerImpl.ts:43

  #### Returns Observable<Account>

  subscription to {Account}

### unsubscribe

- unsubscribe(): Promise<void>

- Implementation of AccountManager.unsubscribe

  - Defined in manager/AccountManagerImpl.ts:139

  Allows user to unsubscribe from BASE. Delets all his data

  #### Returns Promise<void>

  void if client exist or http exception if fail.

Generated using TypeDoc